> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fortytwo.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Models

> Returns all the available Swarm Inference models in the Fortytwo network. [Read more](/docs/api-models).



## OpenAPI

````yaml fortytwo_openapi.json GET /v1/models
openapi: 3.1.0
info:
  title: Fortytwo API
  version: 0.1.0
servers:
  - url: https://api.fortytwo.network
security: []
paths:
  /v1/models:
    get:
      summary: Get Models
      operationId: get_models_v1_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsResponse'
        '401':
          description: Invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Invalid authentication credentials
                      type:
                        type: string
                        example: authentication_error
                    required:
                      - message
                      - type
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Internal server error
                      type:
                        type: string
                        example: internal_error
                    required:
                      - message
                      - type
                required:
                  - error
      security:
        - bearerAuth: []
components:
  schemas:
    ModelsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Model'
          type: array
          title: Data
        object:
          type: string
          const: list
          title: Object
          default: list
      type: object
      title: ModelsResponse
    Model:
      properties:
        id:
          type: string
          enum:
            - fortytwo-prime
          title: Id
          default: fortytwo-prime
        created:
          type: integer
          title: Created
        object:
          type: string
          const: model
          title: Object
          default: model
        owned_by:
          type: string
          title: Owned By
          default: fortytwo
      additionalProperties: true
      type: object
      title: Model
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````